# std::experimental::observer_ptr::operator bool

From cppreference.com
< cpp‎ | experimental‎ | observer ptr

constexpr explicit operator bool() const; |  | (library fundamentals TS v2)

Checks whether *this has an associated watched object, i.e. whether get() != nullptr.

### Parameters

(none)

### Return value

true if *this has an associated watched object, false otherwise.

### Exceptions

`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

### See also

get | returns a pointer to the watched object (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/observer_ptr/operator_bool&oldid=91456"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template